#include <iostream>

using namespace std;

bool nadji(string s, int tr, int poz, int n, int stepeni[]){
	if(tr == 91){
		return true;
	}
	for(int i=poz; i<n; i++){
		if(s[i]==tr){
			for(int j=i+1; j<n; j++){
				if(s[j]!=tr){
					break;
				}
				stepeni[tr-65]++;
			}
			
			if(nadji(s, tr+1, i+stepeni[tr-65], n, stepeni)){
				return true;
			}
		}
	}
	return false;
}

int main() {
	int n;
	string s;
	cin>>n>>s;
	
	int stepeni[26];
	for(int i=0; i<26; i++) stepeni[i]=1;
	int rez=1;
	
	if(nadji(s, 65, 0,  n, stepeni)){
		for(int i=0; i<26; i++){
			rez=(rez*stepeni[i])%1000000007;
		}
	}
	
	cout<<rez;
	return 0;
}